function [ mFrame, FileNames ] = loadThromboFolder( Folder, targetSizeX )

bVar=0;
tmpCnt=1;
cPref=Folder;                                             % full path to folder content
files=dir(cPref);                                        % list of files *.*
iNoFiles=max(size(files));                                % number of loaded images
for i=1:iNoFiles                                          % loop for checking of file format
    tmpName=files(i).name;
    if(tmpName(1)=='.') 
           bVar=bVar+1;    
           continue;
    end
end                                                       % loop for checking of file format
cRoot=files(bVar+1).name;         
cFull=strcat(cPref,cRoot);
thromboImage=imread(cFull);

iNoFiles=iNoFiles-bVar;
maxFiles=iNoFiles;
iImgResolR=size(thromboImage,1);
iImgResolC=size(thromboImage,2);

% Interpolation ?
if( targetSizeX > 0 )
    scaleX=iImgResolC/targetSizeX;
    [XI,YI] = meshgrid(1:scaleX:iImgResolC,1:scaleX:iImgResolR);
    iImgResolR=size(XI,1);
    iImgResolC=size(XI,2);
end


mFrame=zeros(iImgResolR,iImgResolC,maxFiles);              % multi frame declaration 
for iCountFiles=1:maxFiles                                % loop for loading images, size is iNo of files
     cRoot=files(iCountFiles+bVar).name;         
     cFull=strcat(cPref,cRoot);   
     tmp1 = imread(cFull);
     
     % check if we have an RGB image. If so, create grayscale image
     if( length(size(tmp1)) == 3 )
         tmp1=0.5*(double(tmp1(:,:,1)+tmp1(:,:,2)));
     end
     
     % check if interpolation is required
     if( targetSizeX > 0 )
         tmp1=interp2(tmp1,XI,YI);
     end
     
     mFrame(:,:,tmpCnt)=tmp1;   
     tmpCnt=tmpCnt+1;
end       

FileNames=files(bVar+1:size(files,1));

end
